%global framework attica
# doc generation fails on 5.92, disable
# Error in line 1: Opening and ending tag mismatch.
#global docs 1

%if 0%{?flatpak}
%global docs 0
%endif

Name:           kf5-attica
Version:        5.115.0
Release:        1
Summary:        KDE Frameworks Tier 1 Addon with Open Collaboration Services API

License:        LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{version}
BuildRequires:  kf5-rpm-macros >= %{version}
BuildRequires:  qt5-qtbase-devel

Requires:       kf5-filesystem >= %{majmin}

%description
Attica is a Qt library that implements the Open Collaboration Services
API version 1.4.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
%{summary}.

%if 0%{?docs}
%package doc
Summary:        API documentation for %{name}
BuildRequires:  doxygen
BuildRequires:  qt5-qdoc
BuildRequires:  qt5-qhelpgenerator
BuildRequires:  qt5-qtbase-doc
Requires:       kf5-filesystem
BuildArch:      noarch
%description doc
%{summary}.
%endif

%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  %if 0%{?flatpak}
  %{?docs:-DBUILD_QCH:BOOL=OFF} \
  %else
  %{?docs:-DBUILD_QCH:BOOL=ON} \
  %endif

popd

%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog README.md
%license LICENSES/*.txt
%{_kf5_datadir}/qlogging-categories5/%{framework}.*
%{_kf5_libdir}/libKF5Attica.so.*

%files devel
%{_kf5_libdir}/cmake/KF5Attica/
%{_kf5_includedir}/Attica/
%{_kf5_libdir}/libKF5Attica.so
%{_kf5_archdatadir}/mkspecs/modules/qt_Attica.pri
%{_kf5_libdir}/pkgconfig/libKF5Attica.pc

%if 0%{?docs}
%{_qt5_docdir}/KF5Attica.qch
%{_qt5_docdir}/KF5Attica.tags
%endif


%changelog
* Mon Mar 04 2024 huayadong <huayadong@kylinos.cn> - 5.115.0-1
- Update package to version 5.115.0

* Wed Jan 03 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 5.113.0-1
- Update package to version 5.113.0

* Thu Aug 03 2023 peijiankang <peijiankang@kylinos.cn> - 5.108.0-1
- Update package to version 5.108.0

* Fri Dec 09 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.100.0-1
- Update package to version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Tue Jul 05 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 5.95.0-1
- update to upstream version 5.95.0

* Fri Feb 11 2022 tanyulong <tanyulong@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Sun Jan 16 2022 pei-jiankang<peijiankang@kylinos.cn> - 5.88.0-1
- update to upstream version 5.88.0

* Mon Aug 17 2020 yeqinglong <yeqinglong@uniontech.com> - 5.55.0-1
- Initial release for OpenEuler
